package com.qmth.jkserver.params.callApi;

import com.qmth.jkserver.annotation.DBVerify;

/**
 * @Description: 云阅卷-创建/编辑学生接口参数
 * @Author: CaoZixuan
 * @Date: 2021-05-11
 */
public class SaveStudentParams {

    @DBVerify(value = "考试id",required = true)
    private int examId;

    @DBVerify(value = "准考证号",required = true)
    private String examNumber;

    @DBVerify(value = "学号",required = true)
    private String studentCode;

    @DBVerify(value = "姓名",required = true)
    private String name;

    @DBVerify(value = "学院",required = true)
    private String college;

    @DBVerify(value = "班级名称",required = true)
    private String className;

    @DBVerify(value = "教师姓名",required = true)
    private String teacher;

    @DBVerify(value = "科目代码",required = true)
    private String subjectCode;

    @DBVerify(value = "科目名称",required = true)
    private String subjectName;

    @DBVerify(value = "签到表编号")
    private String packageCode;

    @DBVerify(value = "试卷类型")
    private String paperType;

    @DBVerify(value = "考点")
    private String examSite;

    @DBVerify(value = "考场")
    private String examRoom;

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }
}
